{
  programs.waybar = {
    enable = true;
    settings = {
      mainBar = {
        layer = "top";
        position = "top";
        height = 20;
        output = [
          "DVI-D-1"
          "HDMI-A-1"
        ];
        modules-left = ["niri/workspaces"];
        modules-right = ["clock"];
        "niri/workspaces" = {
          disable-scroll = true;
          format = "{icon}";
          format-icons = {
            active = "●";
            default = "○";
          };
        };
        "clock" = {
          interval = 1;
          format = "{:%H:%M:%S}  ";
          format-alt = "{:%d/%m/%Y  %H:%M:%S}";
          tooltip = false;
        };
      };
    };
    style = ''
      /* Colors */
      @define-color fg #fafafa;
      @define-color fg-alt #bdbdbd;
      @define-color purple #d500f9;
      @define-color red #ff1744;
      @define-color trans transparent;

      /* Global Settings */
      * {
        font-family: 'monospace';
        font-size: 10px;
        min-height: 0px;
        border: none;
        border-radius: 0;
      }

      /* Waybar */
      window#waybar {
        background-color: rgba(0, 0, 0, 0);
        color: @fg;
      }

      /* Workspaces */
      #workspaces {
        background-color: rgba(0, 0, 0, 0);
        color: @fg;
      }

      #workspaces button {
        padding: 0 4px;
        background-color: rgba(0, 0, 0, 0);
        background-image: none;
        color: @fg-alt;
        border: none;
        box-shadow: none;
        text-shadow: none;
        min-width: 0;
      }

      #workspaces button:hover {
        background-color: rgba(0, 0, 0, 0);
        background-image: none;
        background: none;
        color: @fg-alt;
        box-shadow: none;
        text-shadow: none;
        border: none;
      }

      #workspaces button.active {
        background-color: rgba(0, 0, 0, 0);
        color: @purple;
      }

      #workspaces button.active:hover {
        background-color: rgba(0, 0, 0, 0);
        background-image: none;
        color: @purple;
      }

      #workspaces button.urgent {
        background-color: rgba(0, 0, 0, 0);
        color: @red;
      }

      #workspaces button.urgent:hover {
        background-color: rgba(0, 0, 0, 0);
        background-image: none;
        color: @red;
      }

      /* Clock */
      #clock {
        background-color: rgba(0, 0, 0, 0);
        background-image: none;
        background: none;
        color: @fg;
        padding: 0 8px;
        border: none;
        box-shadow: none;
        text-shadow: none;
      }

      #clock:hover {
        background-color: rgba(0, 0, 0, 0);
        background-image: none;
        background: none;
        color: @fg;
        box-shadow: none;
        text-shadow: none;
        border: none;
      }
    '';
  };
}
